Subject: Re: bug#8857: display-buffer attempt to pop-up frame in batch mode causes "Unknown terminal type" error

From: martin rudalics <[email-masked]>
Date: Tue, 14 Jun 2011 11:16:16 +0200

> OK, this is not a very sensible example, but it illustrates the point.
 > It's caused by display-buffer trying to pop-up a frame in batch-mode and
 > is very recent.

Can you tell me where and why `display-buffer' is called?

 > PS I forgot to say that I think display-buffer should not try to pop-up
 > frames (or do anything at all?) in batch-mode. Or if it must give an
 > error it should try to give a more helpful one than "Unknown terminal
 > type".

In particular not with emacs -Q.  But I have no experience debugging
emacs with the batch option.  So before delving into this maybe you
could give me more information?

Note that while `pop-up-frames' has the optional value graphic-only
which should prevent Emacs from popping up frames on non-graphic
systems, that value is consistently overridden by applications that bind
`pop-up-frames' to t.  But I don't think that's related.

martin